"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBuildInfo = exports.refreshBuildInfo = void 0;
const fs = require("fs");
const path = require("path");
let version;
let buildDate;
let commitSha;
function refreshBuildInfo() {
    const buildInfoJson = JSON.parse(fs.readFileSync(path.join(__dirname, "../../build-info.json"), 'utf8'));
    const pkJson = JSON.parse(fs.readFileSync(path.join(__dirname, "../../package.json"), 'utf8'));
    buildDate = buildInfoJson.buildDate;
    commitSha = buildInfoJson.commitSha;
    version = pkJson.version;
}
exports.refreshBuildInfo = refreshBuildInfo;
function getBuildInfo() {
    return {
        version: version,
        buildDate: buildDate,
        commitSha: commitSha
    };
}
exports.getBuildInfo = getBuildInfo;
refreshBuildInfo();
//# sourceMappingURL=build-info.js.map